HyperTrackDocs
Workers

Get Worker History

Generate and fetch the worker history for the provided time range

Deprecated

GET
/workers/{worker_handle}/history

Generate and fetch the worker history for the provided time range

Authorization

AuthorizationBasic <token>

In: header

Path Parameters

worker_handle*string

Query Parameters

from_time?|

ISO 8601 datetime indicating the start time

to_time?|

ISO 8601 datetime indicating the end time

date?|

Date in ISO 8601 format ('yyyy-MM-dd').

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/workers/string/history"
{  "worker_handle": "james@ht.com",  "locations": {    "type": "LineString",    "coordinates": [      [        -118.460831,        34.032051,        13.2,        "2023-07-15T00:10:48.972Z"      ],      [        -118.460821,        34.032056,        13.2,        "2023-07-15T01:44:14.028Z"      ],      [        -118.460828,        34.032056,        13.2,        "2023-07-15T04:44:19.203Z"      ]    ]  },  "markers": [    {      "device_id": "00000000-4636-461C-B5F6-7E4BEFC09575",      "timestamp": "2023-04-24T19:19:59.569Z",      "type": "device_linked"    },    {      "type": "device_status",      "data": {        "start": {          "recorded_at": "2023-07-15T00:00:00.000Z",          "location": {            "recorded_at": "2023-07-15T00:10:48.972Z",            "geometry": {              "type": "Point",              "coordinates": [                -118.460831,                34.032051              ]            }          }        },        "end": {          "recorded_at": "2023-07-16T17:51:30.068Z",          "location": {            "recorded_at": "2023-07-16T17:51:30.068Z",            "geometry": {              "type": "Point",              "coordinates": [                -118.460847,                34.032045              ]            }          }        },        "duration": 150690,        "value": "active",        "address": "12511 Venice Blvd., Los Angeles, CA 90066",        "activity": "stop",        "steps": 10,        "bubble": {          "centroid": [            -118.4372615,            34.0033542          ],          "radius": 5        }      },      "marker_id": "c067c38c-e9a9-4fb2-b304-f8682ed3ad6b"    },    {      "type": "device_status",      "data": {        "start": {          "recorded_at": "2023-07-16T17:51:30.068Z",          "location": {            "recorded_at": "2023-07-16T17:51:30.068Z",            "geometry": {              "type": "Point",              "coordinates": [                -118.460847,                34.032045              ]            }          }        },        "end": {          "recorded_at": "2023-07-16T18:07:14.320Z",          "location": {            "recorded_at": "2023-07-16T18:07:14.320Z",            "geometry": {              "type": "Point",              "coordinates": [                -118.517871,                34.034686              ]            }          }        },        "duration": 944,        "value": "active",        "activity": "drive",        "distance": 8311      },      "marker_id": "3329f37e-cc88-4631-ac7b-1652d1cf2eea"    },    {      "type": "device_status",      "data": {        "start": {          "recorded_at": "2023-07-16T18:07:14.320Z",          "location": {            "recorded_at": "2023-07-16T18:07:14.320Z",            "geometry": {              "type": "Point",              "coordinates": [                -118.517871,                34.034686              ]            }          }        },        "end": {          "recorded_at": "2023-07-16T18:17:17.487Z",          "location": {            "recorded_at": "2023-07-16T18:17:17.487Z",            "geometry": {              "type": "Point",              "coordinates": [                -118.517892,                34.034684              ]            }          }        },        "duration": 603,        "value": "active",        "address": "East Rustic Road, Pacific Palisades, LA, Los Angeles, California, 90402, United States of America",        "activity": "stop",        "steps": 179,        "bubble": {          "centroid": [            -118.517875,            34.034703          ],          "radius": 6        }      },      "marker_id": "fe82c586-295a-406a-8b5a-63e1b4e9bb44"    },    {      "type": "device_status",      "data": {        "start": {          "recorded_at": "2023-07-16T18:17:17.487Z",          "location": {            "recorded_at": "2023-07-16T18:17:17.487Z",            "geometry": {              "type": "Point",              "coordinates": [                -118.517892,                34.034684              ]            }          }        },        "end": {          "recorded_at": "2023-07-16T18:20:43.427Z",          "location": {            "recorded_at": "2023-07-16T18:20:43.427Z",            "geometry": {              "type": "Point",              "coordinates": [                -118.516617,                34.032466              ]            }          }        },        "duration": 206,        "value": "active",        "activity": "drive",        "distance": 837      },      "marker_id": "de4882aa-4a93-4614-a15f-844eb4987370"    }  ],  "started_at": "2023-07-15T00:00:00.000Z",  "completed_at": "2023-07-17T00:00:00.000Z",  "distance": 66410,  "duration": 172799,  "steps": 423}
{  "detail": {},  "message": "string"}
{  "detail": {},  "message": "string"}
{  "detail": {    "<location>": {      "<field_name>": [        "string"      ]    }  },  "message": "string"}